IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = object_id('ARTEFACT_VIEW') AND OBJECTPROPERTY(id, 'IsView') = 1)
DROP VIEW ARTEFACT_VIEW
;

-- views
CREATE VIEW ARTEFACT_VIEW AS SELECT ART_ID, ID, AGENCY, dbo.versionToString(VERSION1,VERSION2,VERSION3) as VERSION, VALID_FROM, VALID_TO, IS_FINAL, URI, IS_STUB, SERVICE_URL, STRUCTURE_URL, ARTEFACT_TYPE FROM ARTEFACT
;
GO
;
